Bug 1273457 - App deployed on root context on jboss does not appear in mod_cluster-1.2.11.Final
App deployed on root context on jboss does not appear in mod_cluster-1.2.11.F...
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors (Show other bugs)
6.4.3
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Enrique Gonzalez Martinez
Jan Stefl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 09:20 EDT by Patrick
Modified: 2015-10-30 03:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 05:53:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample app, and conf files from customer (11.47 KB, application/x-gzip)
2015-10-20 09:20 EDT, Patrick
no flags Details

  None (edit)
Description Patrick 2015-10-20 09:20:09 EDT
Created attachment 1084752 [details]
sample app, and conf files from customer

Description of problem:

Using EAP-6.4.3 and mod_cluster-1.2.11.Final with httpd-2.2.26

<subsystem xmlns="urn:jboss:domain:web:2.2" default-virtual-server="app1" native="false">
            <connector name="http" protocol="HTTP/1.1" scheme="http" socket-binding="http"/>
            <connector name="ajp" protocol="AJP/1.3" scheme="http" socket-binding="ajp"/>
            <virtual-server name="app1" enable-welcome-root="false">
                <alias name="localhost"/>
            </virtual-server>
            <virtual-server name="app2" enable-welcome-root="false">
                <alias name="app2"/>
            </virtual-server>
        </subsystem>



deploying a sample app on the root context /  and specifying  the virtual-server
<jboss-web>

	<context-root>/</context-root>
	<virtual-host>app1</virtual-host>
</jboss-web>


The app gets deployed as expected by remains invible in mod_cluster_manager page. although the app is accessible locally,

attaching the sample buildable with maven

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.setup EAP-6.4.3
2.setup mod_cluster-1.2.11.Final with httpd-2.2.26
3.build and deploy the sample

Actual results:
the sample get deployed, but not visible in by mod_cluster

Expected results:

the deployed / context on Jboss should be visible by mod_cluster

Additional info:
Comment 1 Enrique Gonzalez Martinez 2015-10-28 05:53:43 EDT
@Patrick

the configuration is missing something important in the standalone.xml. 
In order to make it work (root context) you need to setup the attribute excluded-contexts in the tag mod-cluster-config. By default the root context is not published to the balancer.

You could setup the attribute something like this:

excluded-contexts="admin-console,invoker,jbossws,jmx-console,juddi,web-console"

The tag is within the subsystem configuration urn:jboss:domain:modcluster

Note You need to log in before you can comment on or make changes to this bug.